rem ------------------------------------------------------------
rem Installationsroutine
rem ------------------------------------------------------------

rem --- Option: Download in ein temporäres Verzeichnis
rem --- Kann für z.B. für GLPI abgeschaltet werden
set SAVEPATH=%SYSTEMDRIVE%\TEMP\install
MKDIR %SAVEPATH% & CD /D %SAVEPATH%

rem --- Download Basis-URL, Dateiname und TEMP-Verzeichnis
set BASEURL=https://packages.wazuh.com/4.x/windows
set PROG=wazuh-agent-4.7.3-1.msi

IF EXIST "%PROGRAMFILES%\ossec-agent" GOTO ENDE
IF EXIST "%PROGRAMFILES(X86)%\ossec-agent" GOTO ENDE

rem --- Lade Installationsdatei herunter
curl -k -L %BASEURL%/%PROG% -o %SAVEPATH%\%PROG%

rem --- Silent-Installation des Programms:
msiexec.exe /i %SAVEPATH%\%PROG% /passive WAZUH_MANAGER=intern.hochvogel.de WAZUH_REGISTRATION_SERVER=intern.hochvogel.de

rem --- Warte 5 Sekunden
ping -n 10 127.0.0.1

rem --- starte Service
NET START WazuhSvc

:ENDE